import { error } from '@sveltejs/kit';
import type { PageServerLoad } from './$types';
import { getOpnameDetail } from '$lib/server/opname';

export const load: PageServerLoad = async ({ params, locals }) => {
	const id = Number(params.id);
	if (!id) throw error(404, 'Opname tidak ditemukan');

	const opname = await getOpnameDetail(locals.member!.id, id);
	if (!opname) throw error(404, 'Opname tidak ditemukan');

	return { opname };
};
